"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.assignmentCacheFactory = assignmentCacheFactory;
var _simpleAssignmentCache = _interopRequireDefault(require("./simple-assignment-cache"));
var _hybridAssignmentCache = _interopRequireDefault(require("./hybrid-assignment-cache"));
var _asyncStorageAssignmentCache = require("./async-storage-assignment-cache");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function assignmentCacheFactory(_ref) {
  let {
    forceMemoryOnly = false,
    storageKeySuffix
  } = _ref;
  const simpleCache = new _simpleAssignmentCache.default();
  if (forceMemoryOnly) {
    return simpleCache;
  }
  const asyncStorageCache = new _asyncStorageAssignmentCache.AsyncStorageAssignmentCache(storageKeySuffix);
  const hybridAssignmentCache = new _hybridAssignmentCache.default(simpleCache, asyncStorageCache);
  return hybridAssignmentCache;
}
//# sourceMappingURL=assignment-cache-factory.js.map