"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AsyncStorageAssignmentCache = void 0;
var _jsClientSdkCommon = require("@eppo/js-client-sdk-common");
var _asyncStorageAssignmentShim = require("./async-storage-assignment-shim");
class AsyncStorageAssignmentCache extends _jsClientSdkCommon.AbstractAssignmentCache {
  constructor(storageKeySuffix) {
    super(new _asyncStorageAssignmentShim.AsyncStorageAssignmentShim(storageKeySuffix));
  }
  setEntries(entries) {
    entries.forEach(_ref => {
      let [key, value] = _ref;
      if (key && value) {
        this.delegate.set(key, value);
      }
    });
  }
  getEntries() {
    return Promise.resolve(Array.from(this.entries()));
  }
}
exports.AsyncStorageAssignmentCache = AsyncStorageAssignmentCache;
//# sourceMappingURL=async-storage-assignment-cache.js.map