import SimpleAssignmentCache from './simple-assignment-cache';
import HybridAssignmentCache from './hybrid-assignment-cache';
import { AsyncStorageAssignmentCache } from './async-storage-assignment-cache';
export function assignmentCacheFactory(_ref) {
  let {
    forceMemoryOnly = false,
    storageKeySuffix
  } = _ref;
  const simpleCache = new SimpleAssignmentCache();
  if (forceMemoryOnly) {
    return simpleCache;
  }
  const asyncStorageCache = new AsyncStorageAssignmentCache(storageKeySuffix);
  const hybridAssignmentCache = new HybridAssignmentCache(simpleCache, asyncStorageCache);
  return hybridAssignmentCache;
}
//# sourceMappingURL=assignment-cache-factory.js.map