import { AbstractAssignmentCache } from '@eppo/js-client-sdk-common';
import { AsyncStorageAssignmentShim } from './async-storage-assignment-shim';
export class AsyncStorageAssignmentCache extends AbstractAssignmentCache {
  constructor(storageKeySuffix) {
    super(new AsyncStorageAssignmentShim(storageKeySuffix));
  }
  setEntries(entries) {
    entries.forEach(_ref => {
      let [key, value] = _ref;
      if (key && value) {
        this.delegate.set(key, value);
      }
    });
  }
  getEntries() {
    return Promise.resolve(Array.from(this.entries()));
  }
}
//# sourceMappingURL=async-storage-assignment-cache.js.map