import type { IAsyncStore, IConfigurationStore, ISyncStore, Environment, Flag, ObfuscatedFlag } from '@eppo/js-client-sdk-common';
import { FormatEnum } from '@eppo/js-client-sdk-common';
export declare const STORAGE_KEY = "@eppo/sdk-cache-ufc";
export declare class EppoAsyncStorage implements IConfigurationStore<Flag | ObfuscatedFlag> {
    servingStore: ISyncStore<Flag | ObfuscatedFlag>;
    persistentStore: IAsyncStore<Flag | ObfuscatedFlag> | null;
    private initialized;
    private environment;
    private configFetchedAt;
    private configPublishedAt;
    private format;
    constructor();
    init(): Promise<void>;
    get(key: string): Flag | ObfuscatedFlag | null;
    getKeys(): string[];
    isExpired(): Promise<boolean>;
    isInitialized(): boolean;
    entries(): Record<string, Flag | ObfuscatedFlag>;
    setEntries(entries: Record<string, Flag | ObfuscatedFlag>): Promise<boolean>;
    getEnvironment(): Environment | null;
    setEnvironment(environment: Environment): void;
    getConfigFetchedAt(): string | null;
    setConfigFetchedAt(configFetchedAt: string): void;
    getConfigPublishedAt(): string | null;
    setConfigPublishedAt(configPublishedAt: string): void;
    getFormat(): FormatEnum | null;
    setFormat(format: FormatEnum): void;
}
//# sourceMappingURL=async-storage.d.ts.map