import { IAssignmentLogger, IAssignmentEvent, EppoClient, IAssignmentDetails, EppoPrecomputedClient, AttributeType, IBanditLogger, IBanditEvent, ContextAttributes, BanditActions, Attributes, BanditSubjectAttributes } from '@eppo/js-client-sdk-common';
import type { IClientConfig, IPrecomputedClientConfig } from './i-client-config';
export { IAssignmentDetails, IAssignmentLogger, IAssignmentEvent, EppoClient, IClientConfig, IPrecomputedClientConfig, IBanditLogger, IBanditEvent, ContextAttributes, BanditSubjectAttributes, BanditActions, Attributes, AttributeType, };
export declare class EppoReactNativeClient extends EppoClient {
    static initialized: boolean;
    static instance: EppoReactNativeClient;
}
/**
 * Initializes the Eppo client with configuration parameters.
 * This method should be called once on application startup.
 * @param config client configuration
 * @public
 */
export declare function init(config: IClientConfig): Promise<EppoClient>;
/**
 * Used to access a singleton SDK client instance.
 * Use the method after calling init() to initialize the client.
 * @returns a singleton client instance
 */
export declare function getInstance(): EppoClient;
export declare class EppoPrecomputedReactNativeClient extends EppoPrecomputedClient {
    static initialized: boolean;
    static instance: EppoPrecomputedReactNativeClient;
}
/**
 * Initializes the Eppo precomputed client with configuration parameters.
 * This method should be called once on application startup.
 * @param config - client configuration
 * @public
 */
export declare function precomputedInit(config: IPrecomputedClientConfig): Promise<EppoPrecomputedClient>;
/**
 * Used to access a singleton SDK precomputed client instance.
 * Use the method after calling precomputedInit() to initialize the client.
 * @returns a singleton precomputed client instance
 * @public
 */
export declare function getPrecomputedInstance(): EppoPrecomputedClient;
//# sourceMappingURL=index.d.ts.map